Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.compaction
Class CompactionInfo.Holder

    java.lang.Object
      org.apache.cassandra.db.compaction.CompactionInfo.Holder

Direct Known Subclasses:
  AbstractCompactionIterable, AutoSavingCache.Writer, SecondaryIndexBuilder

Enclosing class:
  CompactionInfo

    public abstract static class CompactionInfo.Holder

extends java.lang.Object

Constructor Summary
`CompactionInfo.Holder()`

Method Summary
`abstract CompactionInfo` | `getCompactionInfo()`
`boolean` | `isStopRequested()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactionInfo.Holder

    public CompactionInfo.Holder()

Method Detail

### getCompactionInfo

    public abstract CompactionInfo getCompactionInfo()

### stop

    public void stop()

### isStopRequested

    public boolean isStopRequested()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation